package com.ktg.iscs.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import java.util.List;
import cn.hutool.core.lang.Assert;
import com.ktg.common.core.text.Convert;
import com.ktg.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ktg.iscs.mapper.IsCheckTaskMailMapper;
import com.ktg.iscs.domain.IsCheckTaskMail;
import com.ktg.iscs.service.IIsCheckTaskMailService;

/**
 * 检查任务关联邮件Service业务层处理
 *
 * @author cgj
 * @date 2024-12-12
 */
@Service
public class IsCheckTaskMailServiceImpl extends ServiceImpl<IsCheckTaskMailMapper, IsCheckTaskMail> implements IIsCheckTaskMailService
{
    @Autowired
    private IsCheckTaskMailMapper isCheckTaskMailMapper;

    /**
     * 查询检查任务关联邮件
     *
     * @param recordId 检查任务关联邮件主键
     * @return 检查任务关联邮件
     */
    @Override
    public IsCheckTaskMail selectIsCheckTaskMailByRecordId(Long recordId)
    {
        return isCheckTaskMailMapper.selectIsCheckTaskMailByRecordId(recordId);
    }

    /**
     * 查询检查任务关联邮件列表
     *
     * @param isCheckTaskMail 检查任务关联邮件
     * @return 检查任务关联邮件
     */
    @Override
    public List<IsCheckTaskMail> selectIsCheckTaskMailList(IsCheckTaskMail isCheckTaskMail)
    {
        return isCheckTaskMailMapper.selectIsCheckTaskMailList(isCheckTaskMail);
    }

    /**
     * 新增检查任务关联邮件
     *
     * @param isCheckTaskMail 检查任务关联邮件
     * @return 结果
     */
    @Override
    public int insertIsCheckTaskMail(IsCheckTaskMail isCheckTaskMail)
    {
        isCheckTaskMail.setCreateTime(DateUtils.getNowDate());
        return isCheckTaskMailMapper.insertIsCheckTaskMail(isCheckTaskMail);
    }

    /**
     * 修改检查任务关联邮件
     *
     * @param isCheckTaskMail 检查任务关联邮件
     * @return 结果
     */
    @Override
    public int updateIsCheckTaskMail(IsCheckTaskMail isCheckTaskMail)
    {
        isCheckTaskMail.setUpdateTime(DateUtils.getNowDate());
        return isCheckTaskMailMapper.updateIsCheckTaskMail(isCheckTaskMail);
    }

    /**
     * 批量删除检查任务关联邮件
     *
     * @param recordIds 需要删除的检查任务关联邮件主键
     * @return 结果
     */
    @Override
    public int deleteIsCheckTaskMailByRecordIds(String recordIds)
    {
        Assert.notBlank(recordIds, "请选择需要删除的数据!");
        Long[] longIds = Convert.toLongArray(recordIds);
        return isCheckTaskMailMapper.deleteIsCheckTaskMailByRecordIds(longIds);
    }

    /**
     * 删除检查任务关联邮件信息
     *
     * @param recordId 检查任务关联邮件主键
     * @return 结果
     */
    @Override
    public int deleteIsCheckTaskMailByRecordId(Long recordId)
    {
        return isCheckTaskMailMapper.deleteIsCheckTaskMailByRecordId(recordId);
    }
}
